<template>
    <app-layout>
        <div class="row justify-content-center">
            <div class="col-lg-6">
                <h1 class="h2 mb-3">Panel Users</h1>
                
                <div class="list-group mb-3">
                    <inertia-link v-for="user in users" :key="user.id" :href="route('users.get', user.id)" class="list-group-item list-group-item-action">
                        {{ user.username }}
                    </inertia-link>
                </div>
                
                <h1 class="h2 mb-3">New User</h1>
                <form @submit.prevent="form.post(route('users.create'))">
                    <form-field text="Username" id="inputUsername" :errors="form.errors.username" v-slot="slotProps">
                        <form-input v-model="form.username" v-bind="slotProps" />
                    </form-field>
                    
                    <form-field text="Password" id="inputPassword" :errors="form.errors.password" v-slot="slotProps">
                        <form-input v-model="form.password" v-bind="slotProps" />
                    </form-field>
                    
                    <form-button :disabled="form.processing">Create</form-button>
                </form>
            </div>
        </div>
    </app-layout>
</template>

<script>
    import { useForm } from '@inertiajs/inertia-vue3'
    import AppLayout from '@/Layouts/AppLayout'
    import FormInput from '@/Components/Form/FormInput'
    import FormField from '@/Components/Form/FormField'
    import FormButton from '@/Components/Form/FormButton'
    
    export default {
        props: {
            'users': Array,
            'randomPassword': String,
        },
        
        components: {
            AppLayout,
            FormInput,
            FormField,
            FormButton,
        },
        
        mounted() {
            this.form.password = this.randomPassword;
        },
        
        setup () {
            const form = useForm({
                username: null,
                password: null,
            })

            return { form }
        },
    }
</script>